EXTEND_BOTTOM WSMITH01 13
	IF ~PartyHasItem("bdbrac05")~ THEN GOTO GelItemUp00
END
  
APPEND WSMITH01
	IF ~~ THEN BEGIN GelItemUp00 SAY ~Ah I see you have some parts for Ankheg Plated Stalker Gaunlets, it requires a ankheg shell and the Stalker Gauntlets which i can combine for 15000 gold~
		IF ~PartyHasItem("bdbrac05") 
			!PartyHasItem("MISC12")~ THEN GOTO GelItemUp01
		IF ~PartyHasItem("bdbrac05")
            PartyHasItem("MISC12")~ THEN GOTO GelItemUp02
	END
  
	IF ~~ THEN BEGIN GelItemUp01 SAY ~Looks like your missing one of the parts still. So I cannot upgrade them for you now~
		IF ~~ THEN GOTO GelNoItemUp
	END
  
	IF ~~ THEN BEGIN GelItemUp02 SAY ~Seems like you have both the parts needed for me to combine them~
		IF ~PartyGoldLT(15000)~ THEN REPLY #66662 GOTO GelNoItemUp
		IF ~PartyGoldGT(14999)~ THEN REPLY #66664 DO ~SetGlobal("GelItemUp","ar0334",1)
											 		 SetGlobal("ForgeItem","GLOBAL",1)
													 TakePartyGold(15000)
													 DestroyGold(15000)
													 TakePartyItemNum("bdbrac05",1)
													 DestroyItem("bdbrac05")
													 TakePartyItemNum("MISC12",1)
													 DestroyItem("MISC12")~ GOTO 56
    IF ~~ THEN REPLY #66770 GOTO GelNoItemUp
	END

	IF ~~ THEN BEGIN GelNoItemUp SAY ~Okay lad.~
		COPY_TRANS WSMITH01 13
	END
END